{% set list_task = [] %}
  - name: block deploy app
    block:
    {% for deploy in deploy_parallel %}      
      - name: deploy {{ deploy.name }}
        shell: echo "deploy job with nomad"
        async: 1200   
        poll: 0
        register: task_deploy_parallel_{{ loop.index }}  
        
    {{ list_task.append("task_deploy_parallel_" + loop.index|string) }}
    {% endfor %}

      - name: wait for task deploy complete
        async_status: jid="{{ "{{ item }}" }}"
        register: job_result
        until: job_result.finished
        retries: 120
        delay: 10
        with_items:
    {% for task in list_task %}
        - "{{ "{{ " + task + ".ansible_job_id }}" }}"
    {% endfor %}
    ignore_errors: true